#ifndef __RT_TIME_H__
#define __RT_TIME_H__

#define DEBUG_RT_TIME

#define RT_TICKS_PER_SEC 1193180LL

typedef long long RTIME;

extern RTIME rt_linux_clock;

extern RTIME rt_base_time;

extern RTIME rt_get_time(void);

extern int rt_request_timer(void (*rt_timer_handler)(void), int rt_tick_period);

extern void rt_free_timer(void);

#endif